# INTRODUCTION
------------
Acquia site factory helper for the backup management.

This module allows to:
* get statistic data (sites groups, sites collections, sites, backups with archive sizes, information about outdated backups)
* get sites list with the filter and ordering
* get backups list with the filter and ordering
* create a backup (separately or in the batch)
* delete backup (separately or in the batch)
* download backup (separately)
* compose and export sites report (in the batch)
* compose and export backups report (in the batch)

Sometimes it happens that the backups are not tied to any specific site (since the site has been deleted). In this case, the search form for lost (orphan) backups by site ID ranges will help you. You can determine the approximate search range based on the values of the current site IDs in your account.

Read the API documentation on https://www.demo.acquia-cc.com/api/v1

Also, the repository contains CLI script to manage ACSF backups.
See `./cli` folder.

# REQUIREMENTS
------------
This module requires the Acquia ACSF API access.

# INSTALLATION
------------
 * Install as you would normally install a contributed Drupal module.

# CONFIGURATION
-------------
1. Go to the module config page and fill all required fields

## Theming
=============
You can use the next assets to customize style or JavaScript behavior of the module:
* assets/src/style/*.scss
* assets/src/js/*.js

To build assets you should use gulpfile.js:
* run `npm install` to install dependencies
* run `gulp css:build` to build css assets
* run `gulp js:build` to build js assets
* run `gulp build` to build all assets
* run `gulp watch` to run `browser-sync` and assets watcher for auto-building css and js (should be preconfigured in the gulp.config.js, see gulpfile.js for additional information)

Also, you can use sass lint and eslint after installing npm dependencies.

This functionality built on the npm scripts:
* run `npx lint` to lint sass files
* run `npx lint:fix` to fix sass issues automatically
* run `npx eslint` to lint JavaScript files
* run `npx eslint:fix` to fix JavaScript issues automatically

# REFERENCES
-----------
* https://www.demo.acquia-cc.com/api/v1
* https://docs.acquia.com/site-factory/extend/api/examples/
* https://docs.acquia.com/_downloads/acsf-backups.php

# MAINTAINERS
-----------

Current maintainers:
 * Ievgen Kyvgyla <hello@kivgila.pro> - https://kivgila.pro

This project has been sponsored by:
 * EPAM Systems <https://www.epam.com/>
