"use strict";

(function ($, Drupal, drupalSettings) {
  'use strict';

  Drupal.behaviors.acsf_backup_manager_tablefilter = {
    attach: function attach(context, settings) {
      if (context !== document) {
        return;
      }

      var sizeColNumSites = 5;
      var sizeColNumBackups = 10;

      if (settings.acsf_backup_manager.filesize === 1) {
        sizeColNumSites = 6;
        sizeColNumBackups = 11;
      }

      var tableSites = $('#acsf-backup-manager-admin-sites-form table', context).once().DataTable({
        "pageLength": 1000,
        "columnDefs": [{
          "targets": [0, sizeColNumSites],
          "orderable": false
        }],
        "order": [[1, "asc"]]
      });
      var tableBackups = $('#acsf-backup-manager-admin-backups-form table', context).once().DataTable({
        "pageLength": 1000,
        "columnDefs": [{
          "targets": [0, sizeColNumBackups],
          "orderable": false
        }],
        "order": [[1, "asc"]]
      });
      setTimeout(function tick() {
        tableSites.page.len(50).draw();
        tableBackups.page.len(50).draw();
      }, 0);
    }
  };
})(jQuery, Drupal, drupalSettings);
