# Introduction
This PHP command line script provides the possibility to create and delete backups by means of Acquia API.

Attention! Be careful! All performed actions are not undone!

# Requirements
* access to the Acquia with the permission of API usage
* PHP 7.3 or higher locally installed
* composer locally installed

# Installation
1. Run `composer install` to install all needed dependencies
2. Edit file acsf-backups_vX.X.php with your credentials and settings
    * Url (url)
    * username (api_user)
    * API key (api_key)
    * other settings according to the comments in the script file

# Usage
* general:

    `php application.php parameter [sites] [backup_retention=30]`

    where:

        **parameter** - is one of {backup-add, backup-del}

        **sites** - one site ID or site IDs separated by a comma without the spaces or 'all'.
        For instance 1223 or 4271,2389,9632 or all.

        **backup_retention** - the number of days for which the backups should be retained.
        If passed this threshold they will be deleted when using the `backup-del` command (defaults to 30 days).

    You can use the setting sites to set a particular site ID to be processed*.

    Also, you can use settings `sites_exceptions` or `backups_exceptions` for preventing processing sites or backups with particular IDs*.

    *PHP 7 array notation is used `[2354,7456,9321]`.

* create backups for the all sites:

    `php acsf-backups_vX.X.php backup-add all`

* delete backups for the all sites:

    `php acsf-backups_vX.X.php backup-del all`

 * delete backups older than 10 days for the sites with ID 4267 and 3940:

     `php acsf-backups_vX.X.php backup-del 4267,3940 backup_retention=10`

