<?php

namespace Drupal\acsf_backup_manager\Controller;

/**
 * Interface ApiInterface.
 *
 * Provide with the possibility to work with some ACSF API.
 */
interface ApiInterface {

  /**
   * Sends a request using the guzzle HTTP library; prints out any errors.
   *
   * @param string $url
   *   Request Url.
   * @param string $method
   *   Request method like GET, POST, DELETE, etc.
   * @param array $form_params
   *   Parameters of request.
   *
   * @return \Psr\Http\Message\ResponseInterface|null
   *   Returns response or null.
   *
   * @throws \GuzzleHttp\Exception\GuzzleException
   */
  public function request(string $url, string $method, array $form_params = []);

  /**
   * Checks that server responds and authentication is successful.
   *
   * @return bool
   *   is a connection established.
   */
  public function checkConnection();

}
