<?php

namespace Drupal\acsf_backup_manager\Controller;

/**
 * Provides helpers.
 */
trait HelperTrait {

  /**
   * Provides the formatted file size string.
   *
   * @param int $size
   *   The file size number.
   *
   * @return string
   *   Returns formatted file size string.
   */
  public static function getFormattedFileSize(int $size) {
    $formattedSize = 0;
    switch ($size) {
      case $size < 1024:
        $formattedSize = $size . ' B';

        break;

      case $size < 1048576:
        $formattedSize = round($size / 1024, 2) . ' KiB';

        break;

      case $size < 1073741824:
        $formattedSize = round($size / 1048576, 2) . ' MiB';

        break;

      case $size < 1099511627776:
        $formattedSize = round($size / 1073741824, 2) . ' GiB';

        break;
    }

    return $formattedSize;
  }

  /**
   * Checks if the timestamp is out of date.
   *
   * @param int $retention
   *   Amount of days.
   * @param int $timestamp
   *   Timestamp.
   *
   * @return bool
   *   Returns true or false.
   */
  public static function isObsolete(int $retention, int $timestamp) {
    $time = $retention . ' days ago';

    if ($timestamp > strtotime($time)) {
      return FALSE;
    }

    return TRUE;
  }

}
